slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVMatMultHermitianTranspose

Computes the matrix-vector product with the conjugate transpose of a matrix for each column, Y=A^H*V.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVMatMultHermitianTranspose(BV V,Mat A,BV Y)

Neighbor-wise Collective

### Input Parameters

| V | - basis vectors context
| A | - the matrix

### Output Parameter

| Y | - the result

### Note

Both V and Y must be distributed in the same manner. Only active columns (excluding the leading ones) are processed. In the result Y, columns are overwritten starting from the leading ones. The number of active columns in V and Y should match, although they need not be the same columns.

Currently implemented via MatCreateHermitianTranspose().

### See Also

BVMatMult(), BVMatMultTranspose()

### Level

beginner

### Location

src/sys/classes/bv/interface/bvops.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages